Subject: RE: Active Route

From: "Abarbanel, Benjamin" <[email-masked]>
Date: Thu, 3 Oct 2002 10:52:15 -0400

The world is too big and complex and it is too difficult to make one size
fit all solution work. I guess that is why they have not depracated the 
redistribution from BGP to IGP feature happen. IMHO, as long as the main
stream vendors still support the feature, we must consider it as a viable
configuration. To say your network is broken if you use it, is a bit over
stating it. I would rather we add cautionary comments in the base spec for
things like this that can lead into possible trouble.

End of Commentary,
Ben

> -----Original Message-----
> From: Manav Bhatia [mailto:[email-masked]]
> Sent: Thursday, October 03, 2002 6:49 AM
> To: [email-masked]; Abarbanel, Benjamin
> Cc: BGP mailing list
> Subject: Re: Active Route
> 
> 
> Curtis,
> | >
> | > What if your AS is not fully meshed as Hans pointed out?
> | >
> | > The only way to get external BGP routes to non-BGP (IGP 
> only) routers
> is by
> | > redistributing them via IGP, and let IGP flood them, right?
> |
> 
> [clipped]
> 
> | The stance as far as the protocol spec goes is that BGP/IGP
> | interactions are out of scope.  Special cases to support a broken AS
> | (one with incomplete IBGP connectivity) is definitely out of scope.
> |
> 
> What if i have one non BGP speaking router lying in between the 2 BGP
> speaking routers carrying transit traffic. I dont think its a 
> broken AS if
> i have this kind of topology. Things will work in this case 
> by adding a
> default route here on this transit non BGP speaking router. 
> But it can turn
> really messy if the number of such transit non BGP routers increase.
> 
> |
> | I did mention it with the intent to show that it borders on 
> ridiculous
> | to try to accommodate all ways in which you can build a semi-broken
> | BGP network or build one with semi-broken equipment and get it to
> | actually work.  We seem to agree that we don't want to go down that
> | road, either enumerating all of the cases or with the 
> general caveat.
> 
> same comments as above.
> 
> Manav
>

---

From: Curtis Villamizar <[email-masked]>
Date: Thu, 03 Oct 2002 14:26:33 -0400

In message <[email-masked]>, 
> things like this that can lead into possible trouble.

Ben,

If you've ever seen the results of injecting BGP into the IGP in an
ISP network you'd know that it isn't something you'd want to do again.

The hacks for using BGP in an incomplete BGP mesh (to accommodate a
deficient router) should be out of scope for the protocol specs.

I don't think its productive to continue this discussion so I won't
comment further.

Curtis